I can't execute apps on the device after upgrading iPhone


#1

Well, I was all set and ok when running xcode 4.2 and iOS 5.0, but after I upgraded the iPhone to 5.1.1 (9B206) and Xcode to 4.3.3 (4E3002), it is not being able to run the apps I am developing on my iPhone. In the Organizer it says:

Software Version: 5.1.1 (9B206)
Xcode cannot find the software image to install this version

  1. I checked the provisioning profiles, and they are ok, I reinstalled the whole certificates and provisioning profiles again, I got a green light next to my iPhone entry.

  2. I checked for new updates, but the software are already updated

  3. I saw the 5.1.1 sdk on the my hard drive under Xcode installation folder

/Users/myuser/Library/Developer/Xcode/5.1.1 (9B206)

I searched the web and found a post on Apple support website telling the message “Xcode cannot find the software image to install this version”

is not an error message, but a notification, and that I could still continue to work on my device, but after I tried to run the app I am developing on my iPhone, Xcode says :

Xcode cannot run using the selected device.
No provisioned iOS devices are available with a compatible iOS version. Connect an iOS device with a recent enough version of iOS to run your application or choose an iOS simulator as the destination.

So up to now I don’t know that to do anymore, and I need help, cos I cannot continue my studies on the book.

In my mind what I see is iOS SDK 5.1.1 installed on the iPhone and Xcode with iOS SDK 5.1.1 installed on my macbook pro Lion 10.7.4, and I cannot understand what is missing, or what I have to do to solve this situation, and start to run my apps on my iPhone with 5.1.1 + xcode 4.3.3.

iPhone 4S - Version 5.1.1 (9B206)
Model MD234BZ

XCode 4.3.3 (4E3002)

Mac OS X Version 10.7.4

Thank you very much!

Henrique